# ApiEnableSentryHaArgs Data Model

Arguments used for enable Sentry HA command.

Properties
name | data type | description
--- | --- | ---
newSentryHostId | string | Id of host on which new Sentry Server role will be added.
newSentryRoleName | string | Name of the new Sentry Server role to be created. This is an optional argument.
zkServiceName | string | Name of the ZooKeeper service that will be used for Sentry HA. This is an optional parameter if the Sentry to ZooKeeper dependency is already set in CM.
rrcArgs | ApiSimpleRollingRestartClusterArgs |

Example

    {
      "newSentryHostId" : "...",
      "newSentryRoleName" : "...",
      "zkServiceName" : "...",
      "rrcArgs" : {
        "slaveBatchSize" : 12345,
        "sleepSeconds" : 12345,
        "slaveFailCountThreshold" : 12345
      }
    }